package com.simuwang.base.common.support.command;

import jakarta.validation.constraints.NotNull;
import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2024/9/13 15:05
 * @description 包括id和status的抽象类
 */
@Setter
@Getter
public abstract class BaseIdStatusCmd extends BaseCmd {
    /**
     * 状态，1-启用，0-禁用
     */
    @NotNull(message = "状态不能为空")
    private Integer status;

    public abstract Integer getId();

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
